<template>
  <view class='empty'>
    <image class="empty_img" :src="src" mode="" />
    <view class="empty_desc">{{ desc }}</view>
  </view>
</template>

<script>
export default {
  props: {
    src: {
      type: String,
      default: '/static/img/common/empty_page.png'
    },
    desc: {
      type: String,
      default: '此页为空'
    }
  },
  data() {
    return {

    }
  },

  onLoad() {},

  onShow() {},

  methods: {}

}
</script>

<style lang="scss">
.empty {
  margin-top: 300upx;
  text-align: center;
  .empty_img {
    width: 326upx;
    height: 252upx;
  }
  .empty_desc {
    text-align: center;
    font-size: 28upx;
    font-family: PingFangSC-Regular, PingFang SC;
    font-weight: 400;
    color: #333333;
    line-height: 50upx;
  }
}
</style>
